Cisco just released a vulnerability list for the ASA’s.  The full details are here.  It affects both the older 5500 series and the new 5500-X, the ASA service modules for the Catalyst 6500/7600 switches, the 1000V cloud firewall, and the ASA Virtual Appliance.

Most of the bugs are DoS related.  One bug could in the VPN failover command could allow the device to be pwned, and another in the “Smart Call Home” Digital Certificate Validation could allow the attacker full access to your internal network.  One is a reload, another allows MITM and CSS attacks.  Some bugs affect software as new as v9.3.

Patches are available, and Cisco recommends you install them.